/*
 *  Agent activiry event class
 *
 *  2004 - 2011 Frantisek Zboril jr.
 *  Faculty of Information Technology
 *  zborilf@fit.vutbr.cz
 *  http://www.fit.vutbr.cz/~zborilf
 *
 * (C) Brno University of Technology
 * Freeware licence VUT v Brně
 * https://wis.fit.vutbr.cz/FIT/db/dir.php/dr/VZ2007/externiInformace/softwareNaWebu/Priloha2_rozh23.pdf

 */

package jTMass.core.jAMass;

import jTMass.TMass;

public class TAgentEvent {

    String PActivityName;
    Long PExecTime;
    String PParams;
    String PResult;

    public String getActivityName(){
        return(PActivityName);
    }

    public Long getExecTime(){
        return(PExecTime);
    }

    public String getParams(){
        return(PParams);
    }

    public String getResult(){
        return(PResult);
    }

    // ===== CONSTRUCTOR =====

    public TAgentEvent(String activityName, String params, String result){
        PActivityName=activityName;
        PExecTime=TMass.getSimulator().getModelTime();
        PParams=params;
        PResult=result;
    }
}
